import { render, Fragment, h } from 'preact'

function App() {
    return <>
        <div>Hi, I'm Adam.</div>
        <div>Here are some npm modules I've made:</div>
        <ul>
            <li>@adamburgess/linq - a small but feature-full linq library using iterators.</li>
            <li>alpine-apk - query the alpine package repository.</li>
            <li>@adamburgess/nr - a simple shell script to run commands in package.json.</li>
        </ul>
        <div>And here are some sites:</div>
        <ul>
            <li>https://crop.adam.id.au - A helper for ffmpeg's "crop" filter. Drag and drop an image and select it to get a crop filter.</li>
            <li>https://tarkov-time.adam.id.au - Check the current time in Escape From Tarkov.</li>
            <li>https://bundlesize.adam.id.au - A bundlephobia-like site using Skypack and Rollup in the browser to find bundle sizes. WIP. Only available in console for now.</li>
        </ul>
        <div>Here's some other projects I've made:</div>
        <ul>
            <li>Celeste High Frame Rate - Unlocks Celeste's framerate (normally 60).</li>
            <li>Image Builder - Most of my projects use docker. I build my base images automatically when their dependencies change.</li>
        </ul>
    </>
}

render(<App />, document.body);
